To facilitate the provisioning of access control by a security administrator using the View-Based Access Control Model (RFC 2575, VACM) for tables in which multiple users may need to independently create or modify entries, the initial index is used as an 'owner index'. Such an initial index has a syntax of SnmpAdminString, and can thus be trivially mapped to a securityName or groupName as defined in VACM, in accordance with a security policy. When used in conjunction with such a security policy all entries in the table belonging to a particular user (or group) will have the same value for this initial index. For a given user's entries in a particular table, the object identifiers for the information in these entries will have the same subidentifiers (except for the 'column' subidentifier) up to the end of the encoded owner index. To configure VACM to permit access to this portion of the table, one would create vacmViewTreeFamilyTable entries with the value of vacmViewTreeFamilySubtree including the owner index portion, and vacmViewTreeFamilyMask 'wildcarding' the column subidentifier. More elaborate configurations are possible.
OID reference
pingCtlOwnerIndex
1.3.6.1.4.1.529.34.1.2.1.1
Description
To facilitate the provisioning of access control by a security administrator using the View-Based Access Control Model (RFC 2575, VACM) for tables in which multiple users may need to independently create or modify entries, the initial index is used as an 'owner index'. Such an initial index has a syntax of SnmpAdminSt…
Identification
Identifier and names
- Parent
- 1.3.6.1.4.1.529.34.1.2.1 (pingCtlEntry)
- Node code
- 1
- Node name
- pingCtlOwnerIndex
- Category
- SNMP management object
- Numeric OID
- 1.3.6.1.4.1.529.34.1.2.1.1
- URN notation
- urn:oid:1.3.6.1.4.1.529.34.1.2.1.1
ASN.1, OID-IRI and named path variants
- ASN.1 notation
-
{1 3 6 1 4 1 529 34 1 2 1 1}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlOwnerIndex(1)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlOwnerIndex(1)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlOwnerIndex(1)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlOwnerIndex(1)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlOwnerIndex(1)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlOwnerIndex(1)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlOwnerIndex(1)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlOwnerIndex(1)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlOwnerIndex(1)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlOwnerIndex(1)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlOwnerIndex(1)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlOwnerIndex(1)}
- {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlOwnerIndex(1)}
- {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlOwnerIndex(1)}
- {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlOwnerIndex(1)}
- {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlOwnerIndex(1)}
- Additional combinations skipped.
- OID-IRI notation
- /1/3/6/1/4/1/529/34/1/2/1/1
- /ISO/Identified-Organization/6/1/4/1/529/34/1/2/1/1
- /ISO/3/6/1/4/1/529/34/1/2/1/1
- Named path variants
- /iso/identified-organization/dod/internet/private/enterprise/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlOwnerIndex
- /iso/identified-organization/dod/internet/private/enterprise/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlOwnerIndex
- /iso/identified-organization/dod/internet/private/enterprises/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlOwnerIndex
- /iso/identified-organization/dod/internet/private/enterprises/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlOwnerIndex
- /iso/identified-organization/dod/internet/private/ldap-enterprise/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlOwnerIndex
- /iso/identified-organization/dod/internet/private/ldap-enterprise/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlOwnerIndex
- /iso/identified-organization/dod/internet/private/vendor-objects/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlOwnerIndex
- /iso/identified-organization/dod/internet/private/vendor-objects/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlOwnerIndex
- /iso/org/dod/internet/private/enterprise/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlOwnerIndex
- /iso/org/dod/internet/private/enterprise/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlOwnerIndex
- /iso/org/dod/internet/private/enterprises/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlOwnerIndex
- /iso/org/dod/internet/private/enterprises/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlOwnerIndex
- /iso/org/dod/internet/private/ldap-enterprise/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlOwnerIndex
- /iso/org/dod/internet/private/ldap-enterprise/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlOwnerIndex
- /iso/org/dod/internet/private/vendor-objects/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlOwnerIndex
- /iso/org/dod/internet/private/vendor-objects/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlOwnerIndex
- Additional combinations skipped.
SNMP properties
- Value type
- SnmpAdminString
- Maximum access defined by MIB
- read-only
- Status in MIB
- mandatory
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Published definition
The displayed source records contain one distinct definition. Compare its source records.
pingCtlOwnerIndex OBJECT-TYPE
SYNTAX SnmpAdminString -- (SIZE(0..32))
ACCESS read-only -- not-accessible
STATUS mandatory
DESCRIPTION
"To facilitate the provisioning of access control by a
security administrator using the View-Based Access
Control Model (RFC 2575, VACM) for tables in which
multiple users may need to independently create or
modify entries, the initial index is used as an 'owner
index'. Such an initial index has a syntax of
SnmpAdminString, and can thus be trivially mapped to a
securityName or groupName as defined in VACM, in
accordance with a security policy.
When used in conjunction with such a security policy all
entries in the table belonging to a particular user (or
group) will have the same value for this initial index.
For a given user's entries in a particular table, the
object identifiers for the information in these entries
will have the same subidentifiers (except for the 'column'
subidentifier) up to the end of the encoded owner index.
To configure VACM to permit access to this portion of the
table, one would create vacmViewTreeFamilyTable entries
with the value of vacmViewTreeFamilySubtree including
the owner index portion, and vacmViewTreeFamilyMask
'wildcarding' the column subidentifier. More elaborate
configurations are possible."
::= { pingCtlEntry 1 }
Meaning
Descriptions
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Evidence
Source records
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Records for description 1MIBdepot
pingCtlOwnerIndex · mandatoryMIBdepot
Status in source: mandatory.
Names: pingCtlOwnerIndex
Technical details
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"pingCtlOwnerIndex",
"OBJECT-TYPE",
"SYNTAX",
"SnmpAdminString",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"To facilitate the provisioning of access control by a security administrator using the View-Based Access Control Model (RFC 2575, VACM) for tables in which multiple users may need to independently create or modify entries, the initial index is used as an 'owner index'. Such an initial index has a syntax of SnmpAdminString, and can thus be trivially mapped to a securityName or groupName as defined in VACM, in accordance with a security policy. When used in conjunction with such a security policy all entries in the table belonging to a particular user (or group) will have the same value for this initial index. For a given user's entries in a particular table, the object identifiers for the information in these entries will have the same subidentifiers (except for the 'column' subidentifier) up to the end of the encoded owner index. To configure VACM to permit access to this portion of the table, one would create vacmViewTreeFamilyTable entries with the value of vacmViewTreeFamilySubtree including the owner index portion, and vacmViewTreeFamilyMask 'wildcarding' the column subidentifier. More elaborate configurations are possible.\"",
"::=",
"{",
"pingCtlEntry",
"1",
"}"
],
"syntax_tree": [
[
"row",
"SnmpAdminString"
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"To facilitate the provisioning of access control by a security administrator using the View-Based Access Control Model (RFC 2575, VACM) for tables in which multiple users may need to independently create or modify entries, the initial index is used as an 'owner index'. Such an initial index has a syntax of SnmpAdminString, and can thus be trivially mapped to a securityName or groupName as defined in VACM, in accordance with a security policy. When used in conjunction with such a security policy all entries in the table belonging to a particular user (or group) will have the same value for this initial index. For a given user's entries in a particular table, the object identifiers for the information in these entries will have the same subidentifiers (except for the 'column' subidentifier) up to the end of the encoded owner index. To configure VACM to permit access to this portion of the table, one would create vacmViewTreeFamilyTable entries with the value of vacmViewTreeFamilySubtree including the owner index portion, and vacmViewTreeFamilyMask 'wildcarding' the column subidentifier. More elaborate configurations are possible."
],
null,
null,
null,
null
]
}- Preserved mibdepot archive
Module: DISMAN-PING-MIB
See published definition above
· Download ping.mib.txtModule imports
{'IF-MIB': ['InterfaceIndexOrZero'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'ASCEND-MIB': ['pingMIB'], 'SNMPv2-SMI-v1': ['Integer32', 'Counter32', 'Unsigned32', 'RowStatus', 'StorageType', 'TruthValue', 'DateAndTime'], 'SNMP-FRAMEWORK-MIB': ['SnmpAdminString']}
Historical records
Additional source information
Information from OID Repository
Module: DISMAN-PING-MIB (ping.mib)
Type: TABULAR
Access: read-only
Syntax: SnmpAdminString
Automatically extracted from www.mibdepot.com
Siblings (20)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.529.34.1.2.1.2 | pingCtlTestName | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.3 | pingCtlTargetAddressType | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.4 | pingCtlTargetAddress | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.5 | pingCtlDataSize | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.6 | pingCtlTimeOut | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.7 | pingCtlProbeCount | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.8 | pingCtlAdminStatus | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.9 | pingCtlDataFill | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.10 | pingCtlFrequency | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.11 | pingCtlMaxRows | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.12 | pingCtlStorageType | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.13 | pingCtlTrapGeneration | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.14 | pingCtlTrapFilter | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.15 | pingCtlType | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.16 | pingCtlDescr | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.17 | pingCtlSourceAddress | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.18 | pingCtlIfIndex | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.19 | pingCtlByPassRouteTable | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.20 | pingCtlDSField | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.21 | pingCtlRowStatus | 0 | 0 |